## unit-translator 0.5

=== Makefile ===
#! make -f

VERSION=0.5

export UTRANS_DATA_DIR ?= $(CURDIR)
export SYSTEMD_UNIT_PATH=./input

all:
	sed -i 's#^readonly VERSION=[[:digit:]]\+\(\.[[:digit:]]\)\+#readonly VERSION=$(VERSION)#' utrans

	sed -i -e '1 s#Version [[:digit:]]\+\(\.[[:digit:]]\)\+#Version $(VERSION)#' \
	-e '1 s#"[[:digit:]]\{4\}-[[:digit:]]\{2\}-[[:digit:]]\{2\}"#$(shell date -I)#' man/*.1

check: shellcheck mancheck
	cd ./t && ./run

mancheck: man/*.1
	groff -mandoc -t -K utf8 -ww -b -z $?

shellcheck:
ifeq (, $(shell which shellcheck))
	$(warning "No shellcheck found in $(PATH), skipping")
else
	shellcheck --external-sources --exclude SC2155 --severity=info utrans
	shellcheck utrans-rc
endif

clean:

update-expected:
	cd ./t && ./update

=== debian/changelog ===
unit-translator (0.5-1) unstable; urgency=medium

  * New upstream version 0.5.
  * d/control: update descriptions.

 -- Mark Hindley <leepen@debian.org>  Mon, 04 Nov 2024 17:32:05 +0000

unit-translator (0.4-1) unstable; urgency=medium

  * New upstream release 0.4.
    - includes new utrans-deb utility to translate all services
      in one or more deb files together (thanks to Ralph Ronnquist).

 -- Mark Hindley <leepen@debian.org>  Mon, 07 Oct 2024 17:49:23 +0100

unit-translator (0.3-1) unstable; urgency=medium

  * New upstream version 0.3.
  * d/control:
    - add sysv-rc and runit-init as alternative dependencies.
    - add lsb backend to description.
    - utrans Depends libcap2-bin for generated Capability test.
  * t/ and d/t: require /etc/insserv.conf.d/rpcbind.

 -- Mark Hindley <leepen@debian.org>  Mon, 09 Sep 2024 11:15:18 +0100

unit-translator (0.2.1-1) unstable; urgency=medium

  * New upstream Version 0.2.1 (fixup Makefile clean recipe).

 -- Mark Hindley <leepen@debian.org>  Sun, 25 Aug 2024 17:00:24 +0100

unit-translator (0.2-1) unstable; urgency=medium

  * New upstream Version 0.2.
  * d/watch: fix to match upstream style (v0.2).
  * d/control: change build-dep pandoc to groff-base.
  * d/t: add autopkgtest.
  * d/utrans-rc.triggers: also trigger on /lib/systemd/system.

 -- Mark Hindley <leepen@debian.org>  Sun, 25 Aug 2024 15:47:43 +0100

unit-translator (0.1-2) experimental; urgency=medium

  * d/control: utrans-rc add Depends ucf, sudo.

 -- Mark Hindley <leepen@debian.org>  Thu, 22 Aug 2024 17:47:51 +0100

unit-translator (0.1-1) experimental; urgency=medium

  * Initial release. (Closes: #1016038)

 -- Mark Hindley <leepen@debian.org>  Tue, 20 Aug 2024 14:26:04 +0100

=== debian/control ===
Source: unit-translator
Section: admin
Priority: optional
Maintainer: Mark Hindley <leepen@debian.org>
Build-Depends: debhelper-compat (= 13),
               groff-base,
	       rpcbind <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://git.devuan.org/leepen/unit-translator.git -b debian
Vcs-Browser: https://git.devuan.org/leepen/unit-translator/src/branch/main
Homepage: https://git.devuan.org/leepen/unit-translator

Package: utrans
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, libcap2-bin
Recommends:
	cron,
	openrc | sysv-rc | runit-init,
	sasa | socket-activate,
	xinetd | inet-superserver
Description: Translator for systemd units
 low level utilities to convert systemd units to generic unix equivalents.
 .
 By default openrc, cron and xinetd are supported. Alternative output backends
 can be loaded at runtime. Available alternative backends: inetd, LSB-style
 initscripts (as used by sysv-rc, runit, etc.).

Package: utrans-rc
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends},
	cron | cron-daemon,
	openrc | sysv-rc | runit-init,
	sasa | socket-activate,
	sudo,
	ucf,
	utrans,
	xinetd | inet-superserver
Description: Generate generic unix system configuration from systemd units
 includes utrans-rc, a wrapper around utrans to convert systemd units to generic
 unix configuration files. The generated files are installed and activated using
 sudo and ucf whilst preserving user modifications and avoiding overwriting
 files belonging to other packages.
 .
 In addition to manual invocation of the utrans-rc script, a dpkg trigger is
 also installed to automatically detect and handle units which have been newly
 (un)installed by other packages.

## unit-translator 0.6

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #! make -f
 
-VERSION=0.5
+VERSION=0.6
 
 export UTRANS_DATA_DIR ?= $(CURDIR)
 export SYSTEMD_UNIT_PATH=./input

=== debian/changelog ===
unit-translator (0.6-4) unstable; urgency=medium

  * d/p/LSB-gracefully-handle-missing-insserv: update to also consider
    /etc/insserv.conf.d. Fixes test failure caused by rpcbind insserv
    fragment being ignored.

 -- Mark Hindley <leepen@debian.org>  Fri, 24 Jan 2025 10:09:40 +0000

unit-translator (0.6-3) unstable; urgency=medium

  * Add patch to handle missing /etc/insserv.conf gracefully; fixes
    piuparts regression.

 -- Mark Hindley <leepen@debian.org>  Fri, 24 Jan 2025 08:16:17 +0000

unit-translator (0.6-2) unstable; urgency=medium

  * d/control: drop strictly unnecessary utrans-rc Depends and rely on
    utrans Recommends. Helps autopkgtests pass on Debian infra.

 -- Mark Hindley <leepen@debian.org>  Thu, 23 Jan 2025 10:43:23 +0000

unit-translator (0.6-1) unstable; urgency=medium

  * New upstream version 0.6.
  * utrans-rc.postrm:
    - fix removal of sysv links on purge.
    - fix removal of ucf droppings on purge.

 -- Mark Hindley <leepen@debian.org>  Mon, 11 Nov 2024 13:59:44 +0000

## unit-translator 0.7

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #! make -f
 
-VERSION=0.6
+VERSION=0.7
 
 export UTRANS_DATA_DIR ?= $(CURDIR)
 export SYSTEMD_UNIT_PATH=./input

=== debian/changelog ===
unit-translator (0.7-1) unstable; urgency=medium

  * New upstream version 0.7. Includes:-
    - backends/lsb: remove stray '[' in SecureBits substitution.
      (Closes: #1094329)

 -- Mark Hindley <leepen@debian.org>  Tue, 28 Jan 2025 11:23:10 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}, libcap2-bin
 Recommends:
-	cron,
+	cron | cron-daemon,
 	openrc | sysv-rc | runit-init,
 	sasa | socket-activate,
 	xinetd | inet-superserver
@@ -32,13 +32,9 @@
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends},
-	cron | cron-daemon,
-	openrc | sysv-rc | runit-init,
-	sasa | socket-activate,
 	sudo,
 	ucf,
 	utrans,
-	xinetd | inet-superserver
 Description: Generate generic unix system configuration from systemd units
  includes utrans-rc, a wrapper around utrans to convert systemd units to generic
  unix configuration files. The generated files are installed and activated using

=== debian/tests/control ===
Test-Command: cd ./t && SYSTEMD_UNIT_PATH=./input ./run
Features: test-name=upstream
Restrictions: allow-stderr
Depends: @, rpcbind

## unit-translator 0.8

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #! make -f
 
-VERSION=0.7
+VERSION=0.8
 
 export UTRANS_DATA_DIR ?= $(CURDIR)
-export SYSTEMD_UNIT_PATH=./input
+export SYSTEMD_UNIT_PATH=./input/user:./input
 
 all:
 	sed -i 's#^readonly VERSION=[[:digit:]]\+\(\.[[:digit:]]\)\+#readonly VERSION=$(VERSION)#' utrans
@@ -12,6 +12,7 @@
 	-e '1 s#"[[:digit:]]\{4\}-[[:digit:]]\{2\}-[[:digit:]]\{2\}"#$(shell date -I)#' man/*.1
 
 check: shellcheck mancheck
+	find ./t/expected -type f -executable -exec sh -n '{}' ';'
 	cd ./t && ./run
 
 mancheck: man/*.1
@@ -25,6 +26,14 @@
 	shellcheck utrans-rc
 endif
 
+systemd-lsb-tests: t/expected/lsb/init.d/exec-*
+	cp t/test-exec_environmentfile.conf /tmp
+
+	for lsb_test in $^; do \
+	# Run each one in a new program group: exec-ignoresigpipe-yes signals \
+	# the whole group \
+	setsid $$lsb_test start; done
+
 clean:
 
 update-expected:

=== debian/changelog ===
unit-translator (0.8-1) unstable; urgency=medium

  * New upstream version 0.8

 -- Mark Hindley <leepen@debian.org>  Wed, 24 Sep 2025 16:42:09 +0100

unit-translator (0.7-2) unstable; urgency=medium

  * d/control: bump Standards Version (no changes).
  * utrans-rc.postinst: use manual trigger to regenerate scripts so that
    it happens after all packages are configured. (Closes: #1108949)

 -- Mark Hindley <leepen@debian.org>  Sat, 12 Jul 2025 12:56:36 +0100

=== debian/tests/control ===
Test-Command: cd ./t && SYSTEMD_UNIT_PATH=./input:./input/user ./run
Features: test-name=upstream
Restrictions: allow-stderr
Depends: @, rpcbind

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://git.devuan.org/LeePen/unit-translator \
refs/tags/v([\d\.]+)
